Bug 1678593 - do not mention switching streams with module enable
Summary: do not mention switching streams with module enable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: Jan Blazek
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-19 07:33 UTC by Karel Srot
Modified: 2020-11-14 16:45 UTC (History)
5 users (show)

Fixed In Version: dnf-4.2.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:21:13 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:30 UTC

Description Karel Srot 2019-02-19 07:33:29 UTC
Description of problem:

Previously, when it was possible to switch streams, we have warned a user that switching streams does not alter installed package content (see below). This was introduced via bug 1622585.
However since switching streams is prevented (bug 1669491) this warning doesn't make sense any more and is rather confusing.

Please remove the working when the module is being enabled.

# dnf module enable squid -y
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Repository beaker-client-testing is listed more than once in the configuration
Last metadata expiration check: 0:25:01 ago on Tue 19 Feb 2019 02:02:57 AM EST.
Dependencies resolved.
==============================================================================================================
 Package                   Arch                     Version                   Repository                 Size
==============================================================================================================
Enabling module streams:
 squid                                              4                                                        

Transaction Summary
==============================================================================================================

Complete!

Switching module streams does not alter installed packages (see 'module enable' in dnf(8) for details)

dnf-4.0.9.2-5.el8.noarch

Comment 1 Jaroslav Mracek 2019-02-19 15:28:12 UTC
The issue was already fixed in upstream (https://github.com/rpm-software-management/dnf/pull/1325). Please could you provide information about requirements for testing?

Comment 8 errata-xmlrpc 2019-11-05 22:21:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.